com.h3c.of.sw

## Enum CfgHello.Behavior

- java.lang.Object
- - java.lang.Enum<CfgHello.Behavior>
  - - com.h3c.of.sw.CfgHello.Behavior

- All Implemented Interfaces:
    Serializable, Comparable<CfgHello.Behavior>
  Enclosing class:
    CfgHello

      public static enum CfgHello.Behavior
      extends Enum<CfgHello.Behavior>

  Mock switch's behavior in sending the HELLO message.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EAGER` Send eagerly; that is, send the HELLO as soon as the connection is made.
    `LAZY` Send lazily; that is, wait for the HELLO from the controller before sending ours to the controller.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CfgHello.Behavior` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CfgHello.Behavior[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EAGER

          public static final CfgHello.Behavior EAGER

      Send eagerly; that is, send the HELLO as soon as the connection is made.

    - #### LAZY

          public static final CfgHello.Behavior LAZY

      Send lazily; that is, wait for the HELLO from the controller before sending ours to the controller.

  - ### Method Detail

    - #### values

          public static CfgHello.Behavior[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CfgHello.Behavior c : CfgHello.Behavior.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CfgHello.Behavior valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.